services:
  freshrss:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    image: freshrss/freshrss:1.28.1
    container_name: freshrss
    ports:
      - 4014:80
    networks:
      - ip6net
    volumes:
      - ${SERVICE_PATH}/freshrss/data:/var/www/FreshRSS/data
      - ${SERVICE_PATH}/freshrss/extensions:/var/www/FreshRSS/extensions
    environment:
      CRON_MIN: "3,33"
      TRUSTED_PROXY: 172.16.0.1/12 192.168.0.1/16
    labels:
      # Traefik
      - "traefik.enable=true"
      - "traefik.http.routers.freshrss.rule=Host(`rss.${PUBLIC_DOMAIN}`)"
      - "traefik.http.routers.freshrss.entrypoints=https"
      - "traefik.http.routers.freshrss.tls=true"
